Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math.distribution
Interface FDistribution

All Superinterfaces:
  ContinuousDistribution, Distribution

All Known Implementing Classes:
  FDistributionImpl

    public interface FDistribution

extends ContinuousDistribution

F-Distribution.

References:

- F-Distribution

Version:
  $Revision: 920852 $ $Date: 2010-03-09 13:53:44 +0100 (mar. 09 mars 2010) $

Method Summary
`double` | `getDenominatorDegreesOfFreedom()` Access the denominator degrees of freedom.
`double` | `getNumeratorDegreesOfFreedom()` Access the numerator degrees of freedom.
`void` | `setDenominatorDegreesOfFreedom(double degreesOfFreedom)` Deprecated. as of v2.1
`void` | `setNumeratorDegreesOfFreedom(double degreesOfFreedom)` Deprecated. as of v2.1

Methods inherited from interface org.apache.commons.math.distribution.ContinuousDistribution
`inverseCumulativeProbability`

Methods inherited from interface org.apache.commons.math.distribution.Distribution
`cumulativeProbability, cumulativeProbability`

Method Detail

### setNumeratorDegreesOfFreedom

    @Deprecated
    void setNumeratorDegreesOfFreedom(double degreesOfFreedom)

  Deprecated. as of v2.1

  Modify the numerator degrees of freedom.

  Parameters:
    `degreesOfFreedom` - the new numerator degrees of freedom.

### getNumeratorDegreesOfFreedom

    double getNumeratorDegreesOfFreedom()

  Access the numerator degrees of freedom.

  Returns:
    the numerator degrees of freedom.

### setDenominatorDegreesOfFreedom

    @Deprecated
    void setDenominatorDegreesOfFreedom(double degreesOfFreedom)

  Deprecated. as of v2.1

  Modify the denominator degrees of freedom.

  Parameters:
    `degreesOfFreedom` - the new denominator degrees of freedom.

### getDenominatorDegreesOfFreedom

    double getDenominatorDegreesOfFreedom()

  Access the denominator degrees of freedom.

  Returns:
    the denominator degrees of freedom.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2011 The Apache Software Foundation. All Rights Reserved.